! Test control-c and control-d functions
!
! Author: PDM
!******************************************************************************!
startmacro S:baseline_resume_section["BEGINNING"]
  switch INTERACTIVE interAct GET DEF=TRUE  SDEF=TRUE
  switch BASELINE    baseline GET DEF=FALSE SDEF=TRUE

  ! Additional interactive tests, only run with /BASELINE
  if interAct AND baseline then
    invoke isGradleBuild nxm.sys.lib.Shell.isGradleBuild()

    ! NXM-3845 since NeXtMidas 4.1.1
    if ^{env.NMROOT} EQS "classpath:" then
      info "SKIPPING ^reg.main.name because Ctrl+C behaves differently when running from a jar file"
    else
      %test_ctrlc_background_plot_directions
      %test_ctrlc_cmd_outside_pipe_directions
      %test_ctrlc_infinite_loop_bad_parameter_directions
      %test_ctrlc_infinite_loop_directions
      %test_ctrlc_long_open_submacro_directions
      %test_ctrlc_macro_long_open_directions
      %test_ctrlc_piped_child_macro_directions
      %test_ctrlc_plot_directions
      %test_ctrlc_shellgui_directions
    endif
  endif
endmacro
